commit:     9cccfbedb10d892bde91f6fd5bb3c218319f1986
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Apr 19 12:06:40 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Apr 19 18:31:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9cccfbed

dev-R/png: new package

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-R/png/Manifest         |  1 +
 dev-R/png/metadata.xml     | 15 +++++++++++++++
 dev-R/png/png-0.1.7.ebuild | 23 +++++++++++++++++++++++
 3 files changed, 39 insertions(+)

diff --git a/dev-R/png/Manifest b/dev-R/png/Manifest
new file mode 100644
index 000000000..5d0376369
--- /dev/null
+++ b/dev-R/png/Manifest
@@ -0,0 +1 @@
+DIST png_0.1-7.tar.gz 24990 BLAKE2B 
97fdc6de3dc6646d09ce57cf4b294e73566ee4d2d29bd89870a84bdd2b76b1eea8925e01a272383f5cd8440eb50990fb202c96cd433992d51408661b80b02b32
 SHA512 
033a2a45e0fc55a9975257397162ceac0416afb47bbf266025e1ed00790ea1261d1254255aa09cd8828e034b0cd8006cc5e26c9f732ec996dcbec3c937e00f5f

diff --git a/dev-R/png/metadata.xml b/dev-R/png/metadata.xml
new file mode 100644
index 000000000..72ef991f7
--- /dev/null
+++ b/dev-R/png/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <description>co-maintainers welcome</description>
+               <email>[email protected]</email>
+               <name>Alessandro Barbieri</name>
+       </maintainer>
+       <longdescription>
+               Read and write PNG images // This package provides an easy and
+               simple way to read, write and display bitmap images stored in
+               the PNG format. It can read and write both files and in-memory
+               raw vectors.
+       </longdescription>
+</pkgmetadata>

diff --git a/dev-R/png/png-0.1.7.ebuild b/dev-R/png/png-0.1.7.ebuild
new file mode 100644
index 000000000..bfd4a0eff
--- /dev/null
+++ b/dev-R/png/png-0.1.7.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit R-packages
+
+MYPV="$(ver_rs 2 -)"
+
+DESCRIPTION='Read and write PNG images'
+HOMEPAGE="
+       https://cran.r-project.org/package=png
+       http://www.rforge.net/png/
+"
+SRC_URI="mirror://cran/src/contrib/${PN}_${MYPV}.tar.gz"
+
+KEYWORDS="~amd64"
+LICENSE='|| ( GPL-2 GPL-3 )'
+
+RDEPEND="
+       ${DEPEND}
+       media-libs/libpng
+"

Reply via email to